## hapm 0.4

=== Makefile ===
# Makefile.in for hapm

CC 		= gcc
SYSCONFDIR      = /etc/ha.d
INITDIR		= /etc/init.d
INSTALL 	= cp
INSTALLDIR	= /usr/sbin
MANDIR		= /usr/share/man/man8
CFLAGS 		= -O2 -g -w

INSTALL_PROGRAM = $(INSTALL)

SRCS = hapm.c

DISTFILES = $(SRCS)

all: hapm

hapm: 
	$(CC) $(SRCS) -o $@
	#
	# -------------------------------------
	# Run "# make install" to install hapm.
	# -------------------------------------
	#

install:
	@if test ! -e hapm; then \
		echo -e '\nERROR: Run "# make" before "# make install".\n'; \
		exit 1; \
	fi
	@if test  -e $(INSTALLDIR)/hapm; then \
		echo -e "\nERROR: hapm already installed.\n"; \
		exit 1; \
	fi
	-@if test ! -d $(SYSCONFDIR); then \
		echo "creating $(SYSCONFDIR)"; \
		mkdir $(SYSCONFDIR); \
	fi
	@if test ! -f $(SYSCONFDIR)/hapm.conf; then \
		echo "cp hapm.conf $(SYSCONFDIR)/hapm.conf"; \
		cp hapm.conf $(SYSCONFDIR)/hapm.conf; \
	else \
		cp hapm.conf $(SYSCONFDIR)/hapm.conf.new; \
	fi
	
	$(INSTALL_PROGRAM) hapm $(INSTALLDIR)
	chmod 0755 $(INSTALLDIR)/hapm
	$(INSTALL_PROGRAM) init.d/hapm $(INITDIR)/hapm
	chmod 0755 $(INITDIR)/hapm
	$(INSTALL_PROGRAM) hapm.8 $(MANDIR)
	#
	# ---------------
	# hapm installed.
	# ---------------
	#

uninstall:
	@if test ! -e $(INSTALLDIR)/hapm; then \
		echo -e "\nERROR: hapm isn't installed.\n"; \
		exit 1; \
	fi
	rm -f $(INSTALLDIR)/hapm
	rm -f $(INITDIR)/hapm
	rm -rf $(SYSCONFDIR)/hapm.conf
	rm -f $(MANDIR)/hapm.8
	#
	# -----------------
	# hapm uninstalled.
	# -----------------
	#

clean:
	@if test -e hapm; then \
		rm -rf hapm; \
	fi

## hapm 0.7

=== Makefile ===
# Makefile for hapm

CC 		= gcc
SYSCONFDIR      = $(DESTDIR)/etc/ha.d
INITDIR		= $(DESTDIR)/etc/init.d
INSTALL 	= cp
INSTALLDIR	= $(DESTDIR)/usr/sbin
MANDIR		= $(DESTDIR)/usr/share/man/man8
SRCS 		= hapm.c

all: hapm

hapm: 
	$(CC) $(SRCS) -o $@
	#
	# -------------------------------------
	# Run "# make install" to install hapm.
	# -------------------------------------
	#

install:
	@if test ! -e hapm; then \
		echo -e '\nERROR: Run "# make" before "# make install".\n'; \
		exit 1; \
	fi
	@if test  -e $(INSTALLDIR)/hapm; then \
		echo -e "\nERROR: hapm already installed.\nRun \"# make uninstall\" before reinstall.\n"; \
		echo -e "(don't fotget to make a backup of the hapm.conf file)" \
		exit 1; \
	fi
	@if test ! -d $(SYSCONFDIR); then \
		echo "creating $(SYSCONFDIR)"; \
		mkdir $(SYSCONFDIR); \
	fi
	
	$(INSTALL) hapm.conf $(SYSCONFDIR)/hapm.conf
	$(INSTALL) hapm $(INSTALLDIR)
	chmod 0755 $(INSTALLDIR)/hapm
	$(INSTALL) init.d/hapm $(INITDIR)/hapm
	chmod 0755 $(INITDIR)/hapm
	$(INSTALL) hapm.8 $(MANDIR)
	#
	# ---------------
	# hapm installed.
	# ---------------
	#

uninstall:
	@if test ! -e $(INSTALLDIR)/hapm; then \
		echo -e "\nERROR: hapm isn't installed.\n"; \
		exit 1; \
	fi
	rm -f $(INSTALLDIR)/hapm
	rm -f $(INITDIR)/hapm
	rm -rf $(SYSCONFDIR)/hapm.conf
	rm -f $(MANDIR)/hapm.8
	#
	# -----------------
	# hapm uninstalled.
	# -----------------
	#

clean:
	@if test -e hapm; then \
		rm -rf hapm; \
	fi

=== debian/changelog ===
hapm (0.7-3) unstable; urgency=low

  * Updated to unstable.

 -- Joao Eriberto Mota Filho <eriberto@eriberto.pro.br>  Tue, 01 Oct 2013 18:47:29 +0000

hapm (0.7-2) experimental; urgency=low

  * Migrations:
      - debian format from 1.0 to 3.0.
      - debian/copyright to new format (1.0).
      - debian/rules to new (reduced) format.
      - debhelper version from level 7 to 9.
  * New patch (debian/patches):
      - init.d: add source /lib/lsb/init-functions.
  * debian/control:
      - Changed VCS field from svn to git.
      - Updated Standards-Version from 3.8.4 to 3.9.4.
  * debian/copyright: updated packaging copyright years.
  * debian/gbp.conf: added.

 -- Joao Eriberto Mota Filho <eriberto@eriberto.pro.br>  Tue, 03 Sep 2013 09:28:44 -0300

hapm (0.7-1) unstable; urgency=low

  * New upstream release.
  * Acknowledge NMU by Barry deFreese. Thanks a lot.
  * Removed all patches. The upstream fixed the source code.
  * Removed some extra blank lines and spaces.
  * Updated debheper version from 5 to 7.
  * debian/control:
      - Added ${misc:Depends} as dependency.
      - Added Homepage field.
      - Added Vcs-* fields.
      - Updated Standards-Version from 3.8.3 to 3.8.4.
      - Removed transitional heartbeat-2 package from Depends and Enhances.
  * debian/copyright:
      - Added the Copyright word in packaging information.
      - Adjusted the license path.
      - Updated packaging date.
  * debian/docs:
      - Removed AUTHORS file.
  * debian/rules:
      - Changed from dh_clean -k to dh_prep in target install.
      - Made empty binary-indep target.
      - Removed binary-indep from binary target.
      - Removed call to build in binary-arch target to avoid a recall of
        that target.
      - Removed useless dh_link.
      - Removed duplicated install target.

 -- Joao Eriberto Mota Filho <eriberto@eriberto.pro.br>  Sun, 07 Mar 2010 02:00:27 -0300

hapm (0.4-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Add ${shlibs:Depends}. (Closes: #553160).
  * Make clean not ignore errors.
  * Add README.source for dpatch patch system.
  * Bump Standards Version to 3.8.3. (No changes needed).

 -- Barry deFreese <bdefreese@debian.org>  Sat, 31 Oct 2009 13:53:47 -0400

hapm (0.4-1) unstable; urgency=low

  * Initial release (Closes: #389798)

 -- Joao Eriberto Mota Filho <eriberto@eriberto.pro.br>  Sun,  8 Oct 2006 18:57:29 +0000

=== debian/control ===
Source: hapm
Section: admin
Priority: optional
Maintainer: Joao Eriberto Mota Filho <eriberto@eriberto.pro.br>
Build-Depends: debhelper (>= 9)
Standards-Version: 3.9.4
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/hapm.git
Vcs-Git: git://anonscm.debian.org/collab-maint/hapm.git
Homepage: http://hapm.sf.net

Package: hapm
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, heartbeat
Enhances: heartbeat
Description: light and fast high availability port monitor
 High Availability Port Monitor (HAPM) is an application to check the local
 ports status. It is a simple, light and fast daemon to check TCP/UDP ports.
 .
 HAPM works with Heartbeat daemon. Heartbeat is an essential element used
 in high availability projects.
 .
 If one or more monitored ports (per IP) go down then the primary
 Heartbeat will be killed by HAPM and the secondary host will take over
 virtual IP.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1

%:
	dh $@ --parallel

override_dh_installinit:
	dh_installinit -o hapm

=== debian/watch ===
version=3
http://sf.net/hapm/hapm-(.*)\.tar\.gz

## hapm 1.0

=== Makefile ===
--- 
+++ 
@@ -10,8 +10,8 @@
 
 all: hapm
 
-hapm: 
-	$(CC) $(SRCS) -o $@
+hapm:
+	$(CC) $(CFLAGS) $(LDFLAGS) $(CPPFLAGS) $(SRCS) -o $@
 	#
 	# -------------------------------------
 	# Run "# make install" to install hapm.
@@ -38,7 +38,7 @@
 	chmod 0755 $(INSTALLDIR)/hapm
 	$(INSTALL) init.d/hapm $(INITDIR)/hapm
 	chmod 0755 $(INITDIR)/hapm
-	$(INSTALL) hapm.8 $(MANDIR)
+	$(INSTALL) man/hapm.8 $(MANDIR)
 	#
 	# ---------------
 	# hapm installed.

=== debian/changelog ===
hapm (1.0-3) unstable; urgency=medium

  * Bumped Standards-Version to 3.9.6.
  * debian/watch: added a second option to watch the upstream site.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Sun, 26 Oct 2014 20:33:33 -0200

hapm (1.0-2) unstable; urgency=medium

  * debian/copyright: new maintainer email address.
  * debian/rules: added the DEB_BUILD_MAINT_OPTIONS
      variable to fix the issues pointed by blhc.
  * debian/watch: new pattern to try get the correct
      upstream version from SourceForge.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Mon, 15 Sep 2014 14:05:33 -0300

hapm (1.0-1) unstable; urgency=medium

  * New upstream release.
  * New maintainer email address.
  * debian/control:
      - Updated Standards-Version to 3.9.5.
      - Updated the Svn-Browser field.
      - Updated and improved the long description.
  * debian/copyright:
      - Fixed the license (from GPL-2 to GPL-2+).
      - Updated an upstream email address (Alexandre).
      - Updated the packaging and upstream copyright years.
  * debian/init: new file, based in upstream init, adapted
    to Debian. Consequently:
      - d/lintian-overrides: removed.
      - d/patches: removed.
  * debian/README.source: removed. The upstream fixed the GCC
    hardening problem.
  * debian/upstream/signing-key.asc: added to check the GPG
    sign over the upstream tarball.
  * debian/watch: improved.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Mon, 01 Sep 2014 18:03:25 -0300

=== debian/control ===
Source: hapm
Section: admin
Priority: optional
Maintainer: Joao Eriberto Mota Filho <eriberto@debian.org>
Build-Depends: debhelper (>= 9)
Standards-Version: 3.9.6
Vcs-Browser: http://anonscm.debian.org/cgit/collab-maint/hapm.git
Vcs-Git: git://anonscm.debian.org/collab-maint/hapm.git
Homepage: http://hapm.sf.net

Package: hapm
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, heartbeat
Enhances: heartbeat
Description: light and fast high availability port monitor
 High Availability Port Monitor (HAPM) is an application to check the
 local network port status. It is a simple, light and fast daemon to
 monitor a TCP port.
 .
 HAPM works with Heartbeat daemon. Heartbeat is an essential element
 used in high availability projects.
 .
 If the monitored port goes down then the primary Heartbeat will be
 killed by HAPM and the secondary host will take over virtual IP
 (HAPM must be installed on primary Heartbeat machine only).

=== debian/watch ===
version=3
opts="pgpsigurlmangle=s/$/.asc/" \
https://qa.debian.org/cgi-bin/fakeupstream.cgi?upstream=sf/hapm/hapm .*download=hapm-(\d\S+)\.tar\.(?:bz2|gz|xz)

opts="pgpsigurlmangle=s/$/.asc/" \
http://sf.net/hapm/hapm-(\d\S+)\.tar\.(?:bz2|gz|xz)
